/***************************************************************************
                          mkdiredit.h  -  description
                             -------------------
    begin                : Son Sep 22 2002
    copyright            : (C) 2002 by Werner Schulte
    email                : werner@schulte.-ac.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef MKDIREDIT_H
#define MKDIREDIT_H

#include <qstring.h>
#include "mkdirdlg.h"

/**
  * This Class provides a Dialog for String input.

    @author Werner Schulte (email : werner@schulte-ac.de, homepage : www.uv-ac.de)
    @version 0.1.0 - sc - 26.09.2002

    It is used from ScQtFileDialog for mkdir input.
  */
class mkDirEdit : public mkDirDlg
{
   Q_OBJECT
public:
  /**
    prepares dialog
    **/
  void prepare( );
  /**
    returns the result string    
    **/
  QString &resu( );
  /**
    constructor
    **/
  mkDirEdit(QDialog *parent=0, const char *name="",
            bool modal=FALSE );
  /**
    destructor
    **/
  ~mkDirEdit();

private slots:
  void slotOk();
  void slotCancel();

private:
  QString mkstr;

};

#endif
