/***************************************************************************
                          zshopiaddnewamountgroup.h  -  description
                             -------------------
    begin                : Sam Nov 8 2003
    copyright            : (C) 2003 by Bernd Lachner
    email                : dev@lachner-net.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ZSHOPIADDNEWAMOUNTGROUP_H
#define ZSHOPIADDNEWAMOUNTGROUP_H

#include <qwidget.h>

#include "zshopiaddnewamountgroupdesign.h"
#include "qsqlite.h"

/**
  *@author Bernd Lachner
  */

class ZShopiAddNewAmountGroup : public ZShopiAddNewAmountGroupDesign  {
   Q_OBJECT
public: 
  ZShopiAddNewAmountGroup(QSQLite *poSQLite, QWidget *parent=0, const char *name=0, bool modal = false, WFlags fl = 0);
  ZShopiAddNewAmountGroup(QSQLite *poSQLite, const QString &qsID ,QWidget *parent=0, const char *name=0, bool modal = false, WFlags fl = 0);
  ~ZShopiAddNewAmountGroup();

private:
  QSQLite *m_poSQLite;
  QString m_qsID;
  
protected slots:
  void accept();
  void RowDataAmountGroups(int iColumns, char** aszData, char** aszColumnNames);
};

#endif
