/***************************************************************************
                          zshopiaddnewgood.h  -  description
                             -------------------
    begin                : Mon Jul 21 2003
    copyright            : (C) 2003 by Bernd Lachner
    email                : dev@lachner-net.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ZSHOPIADDNEWGOOD_H
#define ZSHOPIADDNEWGOOD_H

#include <qwidget.h>
#include <qmap.h>

#include "zshopiaddnewgooddesign.h"
#include "qsqlite.h"

/**
  *@author Bernd Lachner
  */

class ZShopiAddNewGood : public ZShopiAddNewGoodDesign
{
  Q_OBJECT

  private:
    QSQLite *m_poSQLite;
    typedef QMap<int, QString> TComboMap;
    TComboMap m_qmapGoodsGroupID;
    TComboMap m_qmapAmountGroupID;
    QString m_qsID;
  
  public:
    ZShopiAddNewGood(QSQLite *poSQLite, QWidget* parent = 0, const char* name = 0, bool modal = false, WFlags fl = 0);
    ZShopiAddNewGood(QSQLite *poSQLite, const QString &qsID, QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0);
    ~ZShopiAddNewGood();

  protected slots:
    void RowDataGoodsGroups(int iColumns, char** aszData, char** aszColumnNames);
    void RowDataAmountGroups(int iColumns, char** aszData, char** aszColumnNames);
    void RowDataGoodEdit(int iColumns, char** aszData, char** aszColumnNames);
    void accept();
    void slotTextChanged(const QString &qsText);
};

#endif
