/***************************************************************************
                          zshopipreferenceview.h  -  description
                             -------------------
    begin                : Son Nov 9 2003
    copyright            : (C) 2003 by Bernd Lachner
    email                : dev@lachner-net.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ZSHOPIPREFERENCEVIEW_H
#define ZSHOPIPREFERENCEVIEW_H

#include "zshopipreferenceviewdesign.h"
#include "qsqlite.h"

/**Class for ZShopi preferences. Database import / export.
  *@author Bernd Lachner
  */

class ZShopiPreferenceView : public ZShopiPreferenceViewDesign
{
public: 
	ZShopiPreferenceView(QSQLite *poSQLite, QWidget *parent=0);
	~ZShopiPreferenceView();
private:
  static bool Copy(const QString &qsFrom, const QString &qsTo);
  static QString GetTempFilename();
  QSQLite * m_poSQLite;
protected slots:
  virtual void slotImportDatabase();
  virtual void slotExportDatabase();
};

#endif
