/***************************************************************************
                          zshopiview.h  -  description
                             -------------------
    begin                : Sam Jul 19 16:00:29 CEST 2003
    copyright            : (C) 2003 by Bernd Lachner
    email                : dev@lachner-net.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ZSHOPIVIEW_H
#define ZSHOPIVIEW_H

// include files for QT
#include <qwidget.h>
#include <qlistview.h>

#include "qsqlite.h"
#include "zshopiviewdesign.h"

/**
 * This class provides an incomplete base for your application view. 
 */

class ZShopiView : public ZShopiViewDesign
{
  Q_OBJECT
  private:
    QSQLite *m_poSQLite;
    
  public:
    ZShopiView(QSQLite *poSQLite, QWidget *parent=0);
    ~ZShopiView();
    void Refresh();
  
  protected slots:
    void slotAddGoodToCart();
    void RowDataGoodsList(int iColumns, char** aszData, char** aszColumnNames);
    void slotGoodClicked(QListViewItem *poClickedItem);
    void slotGoodReturnPressed(QListViewItem *poClickedItem);
    void slotGoodFromCartSelected();
    void slotDeleteGoodFromCart();
    void slotDeleteReadyGoods();
    void slotEditGoodInCart();
};

#endif
