/***************************************************************************
                          mkdiredit.cpp  -  description
                             -------------------
    begin                : Son Sep 22 2002
    copyright            : (C) 2002 by Werner Schulte
    email                : werner@schulte.-ac.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include <qlineedit.h>

#include "mkdiredit.h"

mkDirEdit::mkDirEdit(QDialog *parent, const char *name,
                     bool modal )
                     : mkDirDlg(parent,name,modal)
{
  if ( !name )
    setCaption( name );


}

mkDirEdit::~mkDirEdit()
{
}


void mkDirEdit::prepare()
{
  mkstr = "";
  LineEdit->clear();
}


QString &mkDirEdit::resu()
{
  return( mkstr );
}

// slots der Classe **************************************

void mkDirEdit::slotOk()
{
  mkstr = LineEdit->text( );
  accept();
}

void mkDirEdit::slotCancel()
{
  reject();
}

