/***************************************************************************
                          qlistviewextitem.h  -  description
                             -------------------
    begin                : Son Jul 20 2003
    copyright            : (C) 2003 by Bernd Lachner
    email                : dev@lachner-net.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qlistview.h>

class QListViewExtItem : public QListViewItem
{
  private:
    QString m_qsID;
  public:
    QListViewExtItem(QListView *poParent) : QListViewItem(poParent) {};
    void setID(QString qsID) { m_qsID = qsID; };
    QString getID() { return m_qsID; };   
};

class QCheckListExtItem : public QCheckListItem
{
  private:
    QString m_qsID;
  public:
    QCheckListExtItem(QListView *poParent) : QCheckListItem(poParent, "", CheckBox) {};
    void setID(QString qsID) { m_qsID = qsID; };
    QString getID() { return m_qsID; };
};
