/***************************************************************************
                          zshopimainwidget.h  -  description
                             -------------------
    begin                : Son Jul 20 2003
    copyright            : (C) 2003 by Bernd Lachner
    email                : dev@lachner-net.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ZSHOPIMAINWIDGET_H
#define ZSHOPIMAINWIDGET_H

#include <qwidget.h>
#include <qwidgetstack.h>
#include <qcombobox.h>

#include "zshopiview.h"
#include "zshopigoodsview.h"
#include "zshopipreferenceview.h"

/**
  *@author Bernd Lachner
  */

class ZShopiMainWidget : public QWidget
{
   Q_OBJECT
private:
  QWidgetStack *m_poWidgetStack;
  QComboBox *m_poComboBoxSwitch;
  ZShopiView *m_poZShopiView;
  ZShopiGoodsView *m_poZShopiGoodsView;
  int m_iLastWidgetID;
public: 
	ZShopiMainWidget(QSQLite *poSQLite, QWidget *parent=0);
	~ZShopiMainWidget();
private slots:
  void ChangeWidget(int iWidgetID);
};

#endif
